# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = DirectX_To_BCB.exe
OBJFILES = DirectX_To_BCB.obj TMainForm.obj TDebuggingForm.obj
RESFILES = DirectX_To_BCB.res
RESDEPEN = $(RESFILES) TMainForm.dfm TDebuggingForm.dfm
LIBFILES = 
DEFFILE = 
# ---------------------------------------------------------------------------
CFLAG1 = -O2 -Hc -w -k- -r -vi -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\types;.\wrappers;.\miscellaneous;.\components;\TDirectX_Library\DirectX5_inc;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcl.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\types;.\wrappers;.\miscellaneous;.\components;\TDirectX_Library\DirectX5_lib;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\types;.\wrappers;.\miscellaneous;.\components;\TDirectX_Library\DirectX5_inc;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl \
   -H -W -$U -$L- -$D- -JPHNV -M     
RFLAGS = -i.\types;.\wrappers;.\miscellaneous;.\components;\TDirectX_Library\DirectX5_inc;$(BCB)\projects;$(BCB)\include;$(BCB)\include\vcl 
LFLAGS = -L.\types;.\wrappers;.\miscellaneous;.\components;\TDirectX_Library\DirectX5_lib;$(BCB)\projects;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -V4.0 
IFLAGS = 
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib 
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES) 
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $* 

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------
